
QGIS Application - Bug report #2482

Interpolation plugin causes seg fault

2010-02-28 02:15 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 12542

Description

Tested on both linux and windows xp with the following point vector

http://mapserver.uevora.pt/~mapserver/dados.rar

I mistakenly choose this point layer to create a TIN (points extracted from a altimetry line vector, so not really suited for the analysis), but I

believe that a error message should be thrown instead of the crash. Nevertheless close the ticket if you consider this situation too

extreme.

Related issues:

Duplicated by QGIS Application - Bug report # 5239: TIN interpolation causes ... Closed 2012-03-26

History

#1 - 2010-03-26 09:15 AM - Marco Hugentobler

I have problems accessing the sample file (server connection times out).

#2 - 2010-03-28 08:21 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

Hi, 

sorry for the broken link. I tested the tool again with what I believe is a vector identical to the one linked and it works fine now. So I'll close this then I'll test

the linked vector and leave further feedback if necessary.

#3 - 2010-03-29 03:00 PM - Giovanni Manghi

The link is working again, and running the interpolation plugin against this vector crashes qgis.

#4 - 2010-03-31 06:53 AM - Marco Hugentobler

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

ok, I have the testdata now and can reproduce the bug.
#5 - 2010-10-23 01:21 AM - Paolo Cavallini

Data are no longer available. Any hope of having this fixed?

#6 - 2010-10-23 01:33 AM - Paolo Cavallini

Duplicated in #2988

#7 - 2010-10-23 01:37 AM - Giovanni Manghi

I can provide the data again. Marco has it in any case. The crash was confirmed but I don't know if anything has been done yet.

#8 - 2011-03-08 05:16 AM - Anne Ghisla

I wish to replicate the bug, are the data available somewhere else? Can you share them, Marco?

#9 - 2011-07-06 07:00 PM - Alister Hood

Here is a link for a (very large) contour shapefile which crashes my QGIS as soon as starting TIN interpolation.  N.B. the interpolation plugin is not really

suitable for large files (polyline files - I'm not sure about point files) anyway - it takes many hours to do an IDW interpolation, even at a low resolution.

http://dl.dropbox.com/u/24564149/0.1m_Contour_combined.zip

#10 - 2011-07-25 09:15 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Start date set to 2011-07-25

- Status changed from Feedback to Open

- Tracker changed from Bug report to 4

#11 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#12 - 2011-12-24 05:16 AM - Jürgen Fischer

See also http://lists.osgeo.org/pipermail/qgis-developer/2011-December/017471.html

#13 - 2011-12-24 07:29 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to Yes

- Subject changed from interpolation plugin causes seg fault to Interpolation plugin causes seg fault

- Priority changed from Low to 6

New sample data

http://sengis.uni-hohenheim.de/tmp/interpolation_bug_tin.zip

from Martin Weis, who adds
"And here is a backtrace, it looks like there is a loop, I snipped a lot: http://paste.ubuntu.com/780464/ "

#14 - 2012-01-26 10:13 AM - Werner Macho

- Affected QGIS version set to master

- Priority changed from 6 to Normal

Confirmed for http://dl.dropbox.com/u/24564149/0.1m_Contour_combined.zip which is very big data ..

but not for http://sengis.uni-hohenheim.de/tmp/interpolation_bug_tin.zip

neither on release-1_7 branch nor master branch .. 

So it seems the problem only exists with very big data ..

Setting Priority normal as it seems not to be a showstopper for "normal" cases ..

Still the plugin seems not to handle big data very well

#15 - 2012-04-15 09:22 AM - Giovanni Manghi

- Tracker changed from 4 to Bug report

#16 - 2012-04-16 04:25 AM - Giovanni Manghi

- Status info deleted (1)

- Priority changed from Normal to High

- Operating System deleted (All)

possible duplicate of #5239 (that has a patch attached)

#17 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#18 - 2012-05-25 01:43 AM - Tristan Allouis

- File test2.xyz added

Same problem: Segmentation fault using the "interpolation" plugin and the TIN method on a xyz dataset (Z interpolation).

I checked the patch attached in #5239 but it did not fix the problem.

According to my tests, qgis crashes when the points to interpolate are too close (too dense dataset).

I enclose a dataset that causing qgis to crash. Use the SCR ID 10090.

Please can you test this dataset and report if it crashes or not?

Thanks!

#19 - 2012-05-30 05:24 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

merging this with #5239
Files

test2.xyz 2.73 MB 2012-05-24 Tristan Allouis
